MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0029542Open CASCADE[OCCT] OCCT:Codingpublic2018-03-04 10:212018-06-29 21:21
Reporternds 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 7.3.0Fixed in Version[OCCT] 7.3.0 
Summary0029542: Coding - CMake compiler warnings in Inspector
DescriptionUsing CMake version after 3.10 leads to warning about using of Qt (moc files description).
Steps To ReproduceSet Build_Inspector to ON
Start CMake (version after 3.10)
Configure
Generate
Additional information
and documentation updates
Warning:

CMake Warning (dev) in tools/TKShapeView/CMakeLists.txt:
  Policy CMP0071 is not set: Let AUTOMOC and AUTOUIC process GENERATED files.
  Run "cmake --help-policy CMP0071" for policy details. Use the cmake_policy
  command to set the policy and suppress this warning.

  For compatibility, CMake is excluding the GENERATED source file(s):

    "D:/OCCT/master_CR29310_2/build_vc14/tools/TKShapeView/qrc_ShapeView.cxx"

  from processing by AUTOMOC. If any of the files should be processed, set
  CMP0071 to NEW. If any of the files should not be processed, explicitly
  exclude them by setting the source file property SKIP_AUTOMOC:

    set_property(SOURCE file.h PROPERTY SKIP_AUTOMOC ON)

This warning is for project developers. Use -Wno-dev to suppress it.
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships
related to 0029310closedbugmaster Coding - multiple compiler warnings in Inspectors 

-  Notes
(0074233)
git (administrator)
2018-03-04 10:33

Branch CR29542 has been created by nds.

SHA-1: 7b8d1a2f672c206022a5a2ec9115847bfeac558f


Detailed log of new commits:

Author: nds
Date: Sun Mar 4 10:33:10 2018 +0300

    0029542: Coding - CMake compiler warnings in Inspector
    
    Avoid using CMAKE_AUTOMOC, collect header files with Q_OBJECT iterating through a project files.
(0074255)
nds (developer)
2018-03-05 15:42

http://jenkins-test-10.nnov.opencascade.com:8080/view/CR29542-master-NDS/ [^]
(0074269)
nds (developer)
2018-03-06 14:03

Please review modifications and build using mentioned version of CMake or later.
(0074323)
apn (administrator)
2018-03-06 18:25

Checked with cmake 3.10.0 (no warnings after Generate).
Tested.
(0074612)
git (administrator)
2018-03-19 10:05

Branch CR29542 has been deleted by kgv.

SHA-1: 7b8d1a2f672c206022a5a2ec9115847bfeac558f

- Related Changesets
occt: master 410dd2c9
Timestamp: 2018-03-04 07:33:10
Author: nds
Committer: bugmaster
Details ] Diff ]
0029542: Coding - CMake compiler warnings in Inspector

Avoid using CMAKE_AUTOMOC, collect header files with Q_OBJECT iterating through a project files.
mod - adm/cmake/occt_toolkit_tool.cmake Diff ] File ]
mod - adm/cmake/qt_macro.cmake Diff ] File ]

- Issue History
Date Modified Username Field Change
2018-03-04 10:21 nds New Issue
2018-03-04 10:21 nds Assigned To => nds
2018-03-04 10:22 nds Relationship added related to 0029310
2018-03-04 10:33 git Note Added: 0074233
2018-03-05 15:42 nds Note Added: 0074255
2018-03-05 15:42 nds Status new => resolved
2018-03-06 14:03 nds Note Added: 0074269
2018-03-06 14:03 nds Assigned To nds => apn
2018-03-06 18:25 apn Test case number => Not needed
2018-03-06 18:25 apn Note Added: 0074323
2018-03-06 18:25 apn Assigned To apn => bugmaster
2018-03-06 18:25 apn Status resolved => reviewed
2018-03-06 18:25 apn Status reviewed => tested
2018-03-18 13:21 bugmaster Changeset attached => occt master 410dd2c9
2018-03-18 13:21 bugmaster Status tested => verified
2018-03-18 13:21 bugmaster Resolution open => fixed
2018-03-19 10:05 git Note Added: 0074612
2018-06-29 21:16 user533 Fixed in Version => 7.3.0
2018-06-29 21:21 user533 Status verified => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker